/* ========================================================

FONT FAMILY

======================================================== */

/* Regular */
@font-face {
    font-family: "Montserrat";
    src: url("fonts/montserrat-regular.woff2") format("woff2");
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

/* Medium */
@font-face {
    font-family: "Montserrat";
    src: url("fonts/montserrat-medium.woff2") format("woff2");
    font-weight: 500; 
    font-style: normal;
    font-display: swap;
}

/* Semi Bold */
@font-face {
    font-family: "Montserrat";
    src: url("fonts/montserrat-semibold.woff2") format("woff2");
    font-weight: 600; 
    font-style: normal;
    font-display: swap;
}

/* Bold */
@font-face {
    font-family: "Montserrat";
    src: url("fonts/montserrat-bold.woff2") format("woff2");
    font-weight: 900; 
    font-style: normal;
    font-display: swap;
}

/*  ========================================================

ROOT

    
======================================================== */

:root {
    --accent: 242, 156, 62;
    
    --header-size: 96px;
	
	--letter-spacing: 0.03;
    --transition: 200ms ease;
    
    --page-bounds: 128px;
    
    --padding-aspect: 1.6;
    --padding: 64px;
    --dynamic-padding: max((100vw - 1700px) / 2, var(--padding, 0px));
}

@keyframes pulse-animation {
    0% { opacity: 0.25; }
    50% { opacity: 1.00; }
    100% { opacity: 0.25; }
}

@keyframes fade-in-animation {
    0% { opacity: 0; }
    100% { opacity: 1; }
}

/* ========================================================

CONTENT

======================================================== */

*::-webkit-scrollbar,
*::-webkit-scrollbar-track,
*::-webkit-scrollbar-thumb {
	display: none;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus {
    -webkit-box-shadow: 0 0 0 1024px #ffffff inset !important;
}

*,
*:before,
*:after {
	-webkit-scrollbar: none;
    scrollbar-width: none;

	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	-ms-box-sizing: border-box;
	box-sizing: border-box;
	
	-webkit-tap-highlight-color: transparent;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);

	overscroll-behavior: auto;
	outline: none;

	margin: 0;
	padding: 0;
}

/* MAIN */
html {
    text-rendering: geometricPrecision;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    font-feature-settings: "liga" 1;
	
	overflow-x: hidden;
	overflow-y: scroll;
	overflow-anchor: none;
	webkit-user-select: none;
	user-select: none;
	
    width: 100vw;
	height: 100vh;
}

body {
    overflow-x: hidden;
	background: rgb(250, 250, 250);
    width: 100vw;
    padding-top: var(--header-size, 0);
}

main {
    width: 100%;
}

/* CUSTOM TAGS */
layout-row, layout-column {
    display: flex;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: flex-start;
}

layout-row {
    flex-direction: row;
}

layout-column {
    flex-direction: column;
}

title-group {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: flex-start;
    
    width: 100%;
    gap: 1.5rem;
}

title-group > h1,
title-group > h2,
title-group > h3,
title-group > h4,
title-group > h5,
title-group > h6 {
    font-weight: 600;
    font-size: 2.25rem;
    
    line-height: calc(2.25rem * 1.25);
    letter-spacing: calc(2.25rem * var(--letter-spacing));
    
    margin: calc(2.25rem * -0.1) 0;
}

title-group > p,
title-group > p > a {
    color: rgba(0, 0, 0, 0.75);
    
    font-weight: 500;
    font-size: 1rem;
    
    line-height: calc(1rem * 1.75);
    letter-spacing: calc(1rem * var(--letter-spacing));
}

title-group > p {
    margin: calc(1rem * -0.25) 0;
}

title-group > p > a {
    opacity: 0.25;
    position: relative;
    transition: opacity var(--transition);
}

title-group > p > a::after {
    content: "";
    display: inline-block;
    
    opacity: 0.75;
    
    background-image: url(/icons/redirect.svg);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    
    width: 1.2rem;
    height: 1.2rem;
    
    filter: brightness(0);
    transform: translateY(0.2rem) translateX(0.2rem);
}

title-group > p > a:hover {
    opacity: 1;
}

/* INPUT FIELDS */
input:focus,
select:focus,
textarea:focus,
button:focus {
	outline: none;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    margin: 0;
}

input[type="number"] {
    -webkit-appearance: textfield;
    -moz-appearance: textfield;
    appearance: textfield;
}

/* TEXT */
a, h1, h2, h3, h4, h5, h6, p, span, input, button, cite, small, hint-text, layout-row, layout-column {
    color: rgb(0, 0, 0);
    font-family: "Montserrat";
    font-weight: 400;
    border: none;
}

/* BUTTONS */
a, button, input[type="file"] {
	white-space: nowrap;
    cursor: pointer;
}

a {
	text-underline-offset: 0;
	text-decoration-skip-ink: none;
	text-decoration: none;
	-webkit-user-drag: none;
}

/* MEDIA */
svg, img, video {
    display: block;
    -o-object-position: center;
	object-position: center;
	pointer-events: none;
    color: rgba(0, 0, 0, 0);
    font-weight: 0;
    font-size: 0;
}

svg.cover-object,
img.cover-object,
video.cover-object {
    -o-object-fit: cover;
	object-fit: cover;
}

svg.contain-object,
img.contain-object,
video.contain-object {
    -o-object-fit: contain;
	object-fit: contain;
}

skeleton-img {
    background: rgb(242, 242, 245);
    animation: pulse-animation 0.5s ease-in-out infinite;
}

skeleton-text {
    color: transparent !important;
    background: rgb(242, 242, 245);
    border-radius: 1rem;
    animation: pulse-animation 0.5s ease-in-out infinite;
}

@media (max-width: 840px) {
    :root {
        --padding: calc((var(--header-size, 0px) - 52px) / 2);
    }
}